/*
 * Class BOUNDED [INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_308 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_308 [] = {0xFF01,237,307,206,0xFFFF};
static const EIF_TYPE_INDEX egt_2_308 [] = {0xFF01,307,206,0xFFFF};
static const EIF_TYPE_INDEX egt_3_308 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_308 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_308 [] = {0xFF01,307,206,0xFFFF};
static const EIF_TYPE_INDEX egt_6_308 [] = {0xFF01,307,206,0xFFFF};
static const EIF_TYPE_INDEX egt_7_308 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_308 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_308 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_308 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_308 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_308 [] = {307,206,0xFFFF};
static const EIF_TYPE_INDEX egt_13_308 [] = {0xFF01,307,206,0xFFFF};
static const EIF_TYPE_INDEX egt_14_308 [] = {0xFF01,288,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_308 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_308[] = {
	{EIF_GENERIC(NULL), 2068, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_308), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_308), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_308), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_308), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_308), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_308), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_308), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_308), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_308), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_308), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_308), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_308), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_308), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_308), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2019, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1850, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1851, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1852, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1853, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1854, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_308), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_308), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2067, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init308(void)
{
	IDSC(desc_308, 0, 307);
	IDSC(desc_308 + 1, 1, 307);
	IDSC(desc_308 + 32, 77, 307);
	IDSC(desc_308 + 41, 103, 307);
	IDSC(desc_308 + 43, 35, 307);
	IDSC(desc_308 + 44, 50, 307);
}


#ifdef __cplusplus
}
#endif
